KDE 4.9 PyKDE API Reference

- KDE's Python API

# DialogConfigurationInterface Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

This interface allows a plugin to provide a QWidget-based configuration dialog which is accessible within Marble's own configuration dialog.

Note:
  In order for your plugin to provide a configuration dialog, derive your plugin from this interface in addition to any other interfaces and classes.

Note:
  Make sure to deploy the

  ##

  ##

       Q_INTERFACES @endcode macro, which tells
       Marble that you actually implemented the interface.

      Methods
      QDialog configDialog (self)

      Method Documentation

      QDialog configDialog
      (

      self )

      Abstract method:This method is abstract and can be overridden but not called directly.Returns a pointer to the configuration dialog of the plugin.

      @return: Pointer to the configuration dialog, which must be non-zero.